package com.fjhx.purchase.service.refund;

import com.fjhx.purchase.entity.refund.po.Refund;
import com.fjhx.purchase.entity.sales.po.SalesReturn;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.refund.vo.RefundVo;
import com.fjhx.purchase.entity.refund.dto.RefundSelectDto;
import com.fjhx.purchase.entity.refund.dto.RefundDto;

import java.util.List;


/**
 * <p>
 * 退款管理 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface RefundService extends BaseService<Refund> {

    /**
     * 退款管理分页
     */
    Page<RefundVo> getPage(RefundSelectDto dto);

    /**
     * 退款管理明细
     */
    RefundVo detail(Long id);

    /**
     * 退款管理新增
     */
    void add(RefundDto refundDto);

    /**
     * 退款管理编辑
     */
    void edit(RefundDto refundDto);

    /**
     * 退款管理删除
     */
    void delete(Long id);

    /**
     * 退款管理删除
     */
    void receiptRegistration(RefundDto refundDto);


}
